Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Class CommunitySearchCriteria

    java.lang.Object
      com.bea.netuix.application.search.WebAppSearchCriteria
          com.bea.netuix.application.search.PortalSearchCriteria
              com.bea.netuix.application.manager.persistence.TemplateSearchCriteria
                  com.bea.netuix.application.communities.CommunitySearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class CommunitySearchCriteria

extends TemplateSearchCriteria

CommunitySearchCriteria - search criteria for communities. If `localize` is set to `true` results will be sorted by `title` else `CommunityDefinitionId` will be used. If more than one properties are specified as filter criteria they will be OR'ed in the resulting search. When using the setTitle and setDescription methods, if a FilterCriteria for one of these is also used on the paginated request (most likely for a refilter), the FilterCriteria will override the former setter methods.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.netuix.application.manager.persistence.TemplateSearchCriteria
`TemplateSearchCriteria.LOGICAL_OPERATOR, TemplateSearchCriteria.TemplateSortCriteria`

Constructor Summary
`CommunitySearchCriteria(PortalSearchCriteria portalSearchCriteria)`
`CommunitySearchCriteria(String webAppName)` Ctor - localize defaults to `false`.
`CommunitySearchCriteria(TemplateSearchCriteria templateSearchCriteria)` Creates a `CommunitySearchCriteria` from a `TemplateSearchCriteria`
`CommunitySearchCriteria(WebAppSearchCriteria webAppSearchCriteria)` Creates a `CommunitySearchCriteria` from a `WebAppSearchCriteria`

Method Summary
`boolean` | `isFilterByAccessTrackingEnabled()` Returns `true` if search results will be filtered to include either only communities with personalPages enabled or only communities with personalPages disabled, `false` if both types of communities will be returned.
`boolean` | `isFilterByActive()` Returns `true` if search results will be filtered to include either only active or only inactive communities, `false` if both active and inactive communities will be returned.
`boolean` | `isFilterByPersonalPagesEnabled()` Returns `true` if search results will be filtered to include either only communities with personalPages enabled or only communities with personalPages disabled, `false` if both types of communities will be returned.
`boolean` | `isFilterByPublic()` Returns `true` if search results will be filtered to include either only public or only non-public communities, `false` if both public and non-public communities will be returned.
`boolean` | `isFilterByPublicRegistration()` Returns `true` if search results will be filtered to include either only communities with publicRegistration enabled or only communities with publicRegistration disabled, `false` if both types of communities will be returned.
`boolean` | `isIgnoreExpiredCommunities()` Returns `true` if search results will ignore expired communities
`boolean` | `isIncludeAccessTrackingEnabled()` Returns `true` if search results will be filtered to include only communities with personalPages enabled, `false` if search results will be filtered to include only communities with personalPages disabled
`boolean` | `isIncludeActive()` Returns `true` if search results will be filtered to include only active communities, `false` if search results will be filtered to include only inactive communities
`boolean` | `isIncludePersonalPagesEnabled()` Returns `true` if search results will be filtered to include only communities with personalPages enabled, `false` if search results will be filtered to include only communities with personalPages disabled
`boolean` | `isIncludePublic()` Returns `true` if search results will be filtered to include only public communities, `false` if search results will be filtered to include only non-public communities
`boolean` | `isIncludePublicRegistration()` Returns `true` if search results will be filtered to include only communities with publicRegistration enabled, `false` if search results will be filtered to include only communities with publicRegistration disabled
`boolean` | `isLocalizeCriteria()` Returns `true` if `CommunityDefinition`s returned as a result if this search should have localized titles and descriptions
`void` | `setFilterByAccessTrackingEnabled(boolean filterByAccessTrackingEnabled, boolean includeAccessTrackingEnabled)` Sets filtering by communities accessTrackingEnabled flag.
`void` | `setFilterByActive(boolean filterByActive, boolean includeActive)` Sets filtering by communities active flag.
`void` | `setFilterByPersonalPagesEnabled(boolean filterByPersonalPagesEnabled, boolean includePersonalPagesEnabled)` Sets filtering by communities personalPagesEnabled flag.
`void` | `setFilterByPublic(boolean filterByPublic, boolean includePublic)` Sets filtering by communities public flag.
`void` | `setFilterByPublicRegistration(boolean filterByPublicRegistration, boolean includePublicRegistration)` Sets filtering by communities publicRegistration flag.
`void` | `setIgnoreExpiredCommunities(boolean ignoreExpiredCommunities)` Sets the ignoreExpiredCommunities flag
`void` | `setLocalize(boolean localize)` Set to `true` if `CommunityDefinition`s should be returned with titles and descriptions as opposed to `LocalizationIntersectionId`s

Methods inherited from class com.bea.netuix.application.manager.persistence.TemplateSearchCriteria
`addDescription, addDescriptions, addTitle, addTitles, getDescriptionFilterMethod, getDescriptions, getTemplateSortCriteria, getTemplateSortOrder, getTemplateTypeId, getTitleDescriptionLogicalOperator, getTitleFilterMethod, getTitles, init, isDescriptionSearchCriteria, isGlobalTemplateCriteria, isTemplateCriteria, isTitleSearchCriteria, setDescription, setDescriptionFilterMethod, setDescriptions, setGlobalTemplate, setTemplate, setTemplateSortCriteria, setTemplateSortOrder, setTemplateTypeId, setTitle, setTitleDescriptionLogicalOperator, setTitleFilterMethod, setTitles`

Methods inherited from class com.bea.netuix.application.search.PortalSearchCriteria
`getPortalPaths, init, isPortalPathSearchCriteria, setPortalPaths`

Methods inherited from class com.bea.netuix.application.search.WebAppSearchCriteria
`getWebAppName, init, isWebAppNameCriteria`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommunitySearchCriteria

    public CommunitySearchCriteria(String webAppName)

  Ctor - localize defaults to `false`.

  Parameters
    `webAppName` - web app name

### CommunitySearchCriteria

    public CommunitySearchCriteria(WebAppSearchCriteria webAppSearchCriteria)

  Creates a `CommunitySearchCriteria` from a `WebAppSearchCriteria`

  Parameters
    `webAppSearchCriteria` - source WebAppSearchCriteria

### CommunitySearchCriteria

    public CommunitySearchCriteria(TemplateSearchCriteria templateSearchCriteria)

  Creates a `CommunitySearchCriteria` from a `TemplateSearchCriteria`

  Parameters
    `templateSearchCriteria` - source `TemplateSearchCriteria`

### CommunitySearchCriteria

    public CommunitySearchCriteria(PortalSearchCriteria portalSearchCriteria)

Method Detail

### isLocalizeCriteria

    public boolean isLocalizeCriteria()

  Returns `true` if `CommunityDefinition`s returned as a result if this search should have localized titles and descriptions

  Returns
    `true` if search results should be localized

### setLocalize

    public void setLocalize(boolean localize)

  Set to `true` if `CommunityDefinition`s should be returned with titles and descriptions as opposed to `LocalizationIntersectionId`s

  Parameters
    `localize` -

### isIgnoreExpiredCommunities

    public boolean isIgnoreExpiredCommunities()

  Returns `true` if search results will ignore expired communities

  Returns
    `true` if search results will ignore expired communities

### setIgnoreExpiredCommunities

    public void setIgnoreExpiredCommunities(boolean ignoreExpiredCommunities)

  Sets the ignoreExpiredCommunities flag

  Parameters
    `ignoreExpiredCommunities` -

### isFilterByPublic

    public boolean isFilterByPublic()

  Returns `true` if search results will be filtered to include either only public or only non-public communities, `false` if both public and non-public communities will be returned.

  Returns
    `true` if search results will be filtered to include either only public or only non-public communities, `false` if both public and non-public communities will be returned

### isIncludePublic

    public boolean isIncludePublic()

  Returns `true` if search results will be filtered to include only public communities, `false` if search results will be filtered to include only non-public communities

  Returns
    `true` if search results will be filtered to include only public communities, `false` if search results will be filtered to include only non-public communities

### setFilterByPublic

    public void setFilterByPublic(boolean filterByPublic,
                                  boolean includePublic)

  Sets filtering by communities public flag.

  Parameters
    `filterByPublic` - if `true` then filtering by public flag will be performed
    `includePublic` - if `true` then only public communities will be selected by this search criteria, if `false` only non-public communities will be returned by this search criteria

### isFilterByActive

    public boolean isFilterByActive()

  Returns `true` if search results will be filtered to include either only active or only inactive communities, `false` if both active and inactive communities will be returned.

  Returns
    `true` if search results will be filtered to include either only active or only inactive communities, `false` if both active and inactive communities will be returned

### isIncludeActive

    public boolean isIncludeActive()

  Returns `true` if search results will be filtered to include only active communities, `false` if search results will be filtered to include only inactive communities

  Returns
    `true` if search results will be filtered to include only active communities, `false` if search results will be filtered to include only inactive communities

### setFilterByActive

    public void setFilterByActive(boolean filterByActive,
                                  boolean includeActive)

  Sets filtering by communities active flag.

  Parameters
    `filterByActive` - if `true` then filtering by active flag will be performed
    `includeActive` - if `true` then only active communities will be selected by this search criteria, if `false` only inactive communities will be returned by this search criteria

### isFilterByPublicRegistration

    public boolean isFilterByPublicRegistration()

  Returns `true` if search results will be filtered to include either only communities with publicRegistration enabled or only communities with publicRegistration disabled, `false` if both types of communities will be returned.

  Returns
    `true` if search results will be filtered to include either only communities with publicRegistration enabled or only communities with publicRegistration disabled, `false` if both types of communities will be returned

### isIncludePublicRegistration

    public boolean isIncludePublicRegistration()

  Returns `true` if search results will be filtered to include only communities with publicRegistration enabled, `false` if search results will be filtered to include only communities with publicRegistration disabled

  Returns
    `true` if search results will be filtered to include only communities with publicRegistration enabled, `false` if search results will be filtered to include only communities with publicRegistration disabled

### setFilterByPublicRegistration

    public void setFilterByPublicRegistration(boolean filterByPublicRegistration,
                                              boolean includePublicRegistration)

  Sets filtering by communities publicRegistration flag.

  Parameters
    `filterByPublicRegistration` - if `true` then filtering by publicRegistration flag will be performed
    `includePublicRegistration` - if `true` then only communities with publicRegistration enabled will be selected by this search criteria, if `false` only communities with publicRegistration disabled will be returned by this search criteria

### isFilterByPersonalPagesEnabled

    public boolean isFilterByPersonalPagesEnabled()

  Returns `true` if search results will be filtered to include either only communities with personalPages enabled or only communities with personalPages disabled, `false` if both types of communities will be returned.

  Returns
    `true` if search results will be filtered to include either only communities with personalPages enabled or only communities with personalPages disabled, `false` if both types of communities will be returned

### isIncludePersonalPagesEnabled

    public boolean isIncludePersonalPagesEnabled()

  Returns `true` if search results will be filtered to include only communities with personalPages enabled, `false` if search results will be filtered to include only communities with personalPages disabled

  Returns
    `true` if search results will be filtered to include only communities with personalPages enabled, `false` if search results will be filtered to include only communities with personalPages disabled

### setFilterByPersonalPagesEnabled

    public void setFilterByPersonalPagesEnabled(boolean filterByPersonalPagesEnabled,
                                                boolean includePersonalPagesEnabled)

  Sets filtering by communities personalPagesEnabled flag.

  Parameters
    `filterByPersonalPagesEnabled` - if `true` then filtering by personalPagesEnabled flag will be performed
    `includePersonalPagesEnabled` - if `true` then only communities with personalPages enabled will be selected by this search criteria, if `false` only communities with personalPages disabled will be returned by this search criteria

### isFilterByAccessTrackingEnabled

    public boolean isFilterByAccessTrackingEnabled()

  Returns `true` if search results will be filtered to include either only communities with personalPages enabled or only communities with personalPages disabled, `false` if both types of communities will be returned.

  Returns
    `true` if search results will be filtered to include either only communities with personalPages enabled or only communities with personalPages disabled, `false` if both types of communities will be returned

### isIncludeAccessTrackingEnabled

    public boolean isIncludeAccessTrackingEnabled()

  Returns `true` if search results will be filtered to include only communities with personalPages enabled, `false` if search results will be filtered to include only communities with personalPages disabled

  Returns
    `true` if search results will be filtered to include only communities with personalPages enabled, `false` if search results will be filtered to include only communities with personalPages disabled

### setFilterByAccessTrackingEnabled

    public void setFilterByAccessTrackingEnabled(boolean filterByAccessTrackingEnabled,
                                                 boolean includeAccessTrackingEnabled)

  Sets filtering by communities accessTrackingEnabled flag.

  Parameters
    `filterByAccessTrackingEnabled` - if `true` then filtering by accessTrackingEnabled flag will be performed
    `includeAccessTrackingEnabled` - if `true` then only communities with personalPages enabled will be selected by this search criteria, if `false` only communities with personalPages disabled will be returned by this search criteria

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.